Page MenuHomePhabricator

Check syntax button results with "unknown error" on large regexes
Closed, ResolvedPublic

Description

When using the check syntax button on filters with extremely large regexes (example: https://en.wikipedia.org/wiki/Special:AbuseFilter/58 - private), it fails with an unknown error.

I checked in my web console (Firefox), it sends the GET request and gets a 400 Bad Request status code back, with the Wikimedia Error screen:

Request: [unknown method] [no URL], from 208.80.154.133 via cp1007.eqiad.wmnet (squid/2.7.STABLE9) to [unknown host] ([unknown])<br/>
Error: ERR_INVALID_REQ, errno [No Error] at Tue, 16 Apr 2013 23:55:47 GMT


Version: unspecified
Severity: major

Details

Reference
bz47298

Event Timeline

bzimport raised the priority of this task from to Normal.
bzimport set Reference to bz47298.
bzimport added a subscriber: Unknown Object (MLST).
Legoktm created this task.Apr 16 2013, 11:58 PM

Related URL: https://gerrit.wikimedia.org/r/59615 (Gerrit Change I317f5d7c372710617a7a6526cd4613de9660a40a)

hoo added a comment.Apr 17 2013, 1:14 PM

Krinkle merged the change.

Change 150080 had a related patch set uploaded by Helder.wiki:
Use POST method for action=abusefilterevalexpression API requests

https://gerrit.wikimedia.org/r/150080

Change 150080 merged by jenkins-bot:
Use POST method for action=abusefilterevalexpression API requests

https://gerrit.wikimedia.org/r/150080